//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.bug;

import java.applet.Applet;
import java.awt.Graphics;
import java.awt.Font;

public final class Bug3 extends Applet {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/bug/Bug3.java,v $ $revision$ $Date: 1998/11/02 15:54:45 $ Copyright 1998 INRIA.";

    public void paint(Graphics g) {
	update(g);
    }

    public void update(Graphics g) {
	final Font theBigFont = new Font("Serif",Font.BOLD,22);
	g.setFont(theBigFont);
	try {
	    (new InnerClass()).internalDraw(g);
	}
	catch ( Throwable anError ) {
	    g.drawString("ERROR : Access denied",0,50);
	}
    }

    private final String _ok = "OK : Free access";
    

    final class InnerClass {
	
	public final void internalDraw(Graphics g) {
	    g.drawString(_ok,0,50);
	}

    }
  
}
