//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.format;

import figue.box.GlyphInterface;
import figue.internal.ContextInterface;

public interface DecalageInterface extends ComputedValueInterface {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/format/DecalageInterface.java,v $ $revision$ $Date: 1998/11/02 15:55:00 $ Copyright 1998 INRIA.";

    public int getValue();
    public int getEagerValue();

    public GlyphInterface getFather();
  
    public DecalageInterface getDecalage();
    public void setDecalage(DecalageInterface aDecalage);
  
    public boolean hasBrother();
    public GlyphInterface getBrother();
    public void setBrother(GlyphInterface aGlyph);

    public void dispose(ContextInterface aContext);
  
}
