//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.format;

import figue.box.GlyphInterface;
import figue.geometry.Dimension;

public class FormatStatusDirty extends FormatStatus {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/format/FormatStatusDirty.java,v $ $revision$ $Date: 1998/11/02 15:55:01 $ Copyright 1998 INRIA.";

    protected FormatStatusDirty() {
	super();
	_estimatedSize = new Dimension();
    }
  
    public final boolean isDirty() {
	return true;
    }

    public final Dimension getEstimatedSize(GlyphInterface aGlyph) {
	return _estimatedSize;
    }

    public String toString() {
	return "Status<Dirty>";
    }
  
    private Dimension _estimatedSize;

    public final static FormatStatusDirty INSTANCE = new FormatStatusDirty();
  
}
