//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.format;

public interface ValueInterface {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/format/ValueInterface.java,v $ $revision$ $Date: 1998/11/02 15:55:09 $ Copyright 1998 INRIA.";
  
    public void notifyChange();
    public void notifyEagerChange();
  
    public void addDependent(ComputedValueInterface aValue);
    public ComputedValueInterface getDependent();
    public void removeDependent();
  
    public void tryAlternative(AlternativeInterface anAlternative);

}
