//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.geometry;

/**
 * [PENDING: update the comments] PositionToFather.
 * @level advanced
 */

public final class PositionToFather extends Position {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/geometry/PositionToFather.java,v $ $revision$ $Date: 1998/11/02 15:55:10 $ Copyright 1998 INRIA.";
    
    public PositionToFather(int dx, int dy) { 
	super(dx,dy); 
    }
    
    public PositionToFather() {
	super();
    }
    
    public PositionToFather(Position aPosition) { 
	super(aPosition); 
    }
    
    public final void movePointToPosition(Point aPoint,Point aFather) {
	aPoint.setLocation(aFather.getX() + getDx(),
			   aFather.getY() + getDy());
    }
    
    public final boolean isRelativeToFather() { 
	return true; 
    }
    
}
