//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.path;

import figue.error.Error;

/**
 * [PENDING: update the comments] NotSupportedOperationError.
 */

public class NotSupportedOperationError extends Error {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/path/NotSupportedOperationError.java,v $ $revision$ $Date: 1998/11/02 15:55:30 $ Copyright 1998 INRIA.";

    /**
     * [PENDING: update the comments] NotSupportedOperationError
     * @level advanced
     */
    public NotSupportedOperationError(PathOperationInterface anOperation) { 
	super(); 
	_operation = anOperation;
    }
    
    public final PathOperationInterface getOperation() {
	return _operation;
    }
    
    private PathOperationInterface _operation;
    
}
