//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.resource;

import figue.io.ExternalizableInterface;

/**
 * [PENDING: update the comments] FontInterface;
 */

public interface FontInterface extends ExternalizableInterface { 

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/resource/FontInterface.java,v $ $revision$ $Date: 1998/11/02 15:55:38 $ Copyright 1998 INRIA.";
 
    public String getName();
    public FontFamily getFamily();
    public FontStyle getStyle();
    public int getSize();
    public boolean isUnderlined();
    public boolean equals(Object anObject);
    /**
     * [PENDING: update the comments] getKey
     * @level advanced
     */
    public String getKey();
    /**
     * [PENDING: update the comments] getAwtFont
     * @level advanced
     */
    public java.awt.Font getAwtFont();

}
