//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue;

/**
 * [PENDING: update the comments] Priority.
 */

public final class Priority {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/Priority.java,v $ $revision$ $Date: 1998/11/02 15:54:33 $ Copyright 1998 INRIA.";

    private Priority(int anEnum, String aName) {
	super();
	_enum = anEnum;
	_name = aName;
    }
    /**
     * [PENDING: update the comments] getEnum
     * @level advanced
     */
    public final int getEnum() {
	return _enum;
    }
    /**
     * [PENDING: update the comments] getName
     * @level advanced
     */
    public final String getName() {
	return _name;
    }

    public final String toString() {
	StringBuffer theResult = new StringBuffer("priority<");
	theResult.append(_name).append('>');
	return theResult.toString();
    }
    /**
     * [PENDING: update the comments] valueOf
     * @level advanced
     */
    public final static Priority valueOf(String aName) {
	if ( aName.equalsIgnoreCase("MIN") ) {
	    return MIN;
	}
	else {
	    if ( aName.equalsIgnoreCase("LOW") ) {
		return LOW;
	    }
	    else {
		if ( aName.equalsIgnoreCase("MEDIUM") ) {
		    return MEDIUM;
		}
		else {
		    if ( aName.equalsIgnoreCase("HIGH") ) {
			return HIGH;
		    }
		    else {
			if ( aName.equalsIgnoreCase("MAX") ) {
			    return MAX;
			}
			else {
			    return null;
			}
		    }
		}
	    }
	}
    }

    private int _enum;
    private String _name;

    public final static Priority MIN = new Priority(0,"Min");
    public final static Priority LOW = new Priority(MIN.getEnum() + 1,"Low");
    public final static Priority MEDIUM = new Priority(LOW.getEnum() + 1,"Medium");
    public final static Priority HIGH = new Priority(MEDIUM.getEnum() + 1,"High");
    public final static Priority MAX = new Priority(HIGH.getEnum() + 1,"Max");
    
}
