//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.error;

/**
 * [PENDING: update the comments] Error.
 */

public class Error extends java.lang.Error {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/error/Error.java,v $ $revision$ $Date: 1998/11/02 15:54:51 $ Copyright 1998 INRIA.";

    protected Error(String aMessage) { 
	super(aMessage); 
    }
    
    protected Error() {
	super();
    }
    
    public void managedBy(ErrorHandlerInterface anErrorHandler) {
	anErrorHandler.manageFatalError(this);
    }
    
}
