//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.format;

import figue.box.GlyphInterface;
import figue.geometry.Dimension;

public final class FormatStatusClean extends FormatStatus {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/format/FormatStatusClean.java,v $ $revision$ $Date: 1998/11/02 15:55:01 $ Copyright 1998 INRIA.";
  
    private FormatStatusClean() {
	super();
    }

    public final boolean isClean() {
	return true;
    }

    public final Dimension getEstimatedSize(GlyphInterface aGlyph) { 
	return aGlyph.getSizeValue();
    }

    public final String toString() {
	return "Status<Clean>";
    }

    public final static FormatStatusClean INSTANCE = new FormatStatusClean();
  
}
