//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.format;

import figue.box.GlyphInterface;

public final class StopFormattingSonsException extends Exception {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/format/StopFormattingSonsException.java,v $ $revision$ $Date: 1998/11/02 15:55:05 $ Copyright 1998 INRIA.";
    
    public StopFormattingSonsException(GlyphInterface aGlyph) {
	_glyph = aGlyph;
    }
    
    public GlyphInterface getTarget() {
	return _glyph;
    }
    
    private GlyphInterface _glyph;
    
}
