//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.internal;

public final class BooleanWrapper {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/internal/BooleanWrapper.java,v $ $revision$ $Date: 1998/11/02 15:55:12 $ Copyright 1998 INRIA.";

    public BooleanWrapper(boolean aValue) {
	_value = aValue;
    }

    public BooleanWrapper() {
	this(true);
    }
  
    public final boolean isTrue() {
	return _value;
    }
  
    public final boolean isFalse() {
	return ( ! _value );
    }
  
    public final void setTrue() {
	_value = true;
    }
  
    public final void setFalse() {
	_value = false;
    }

    private boolean _value;
  
}
