//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.internal;

public final class Direction {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/internal/Direction.java,v $ $revision$ $Date: 1998/11/02 15:55:14 $ Copyright 1998 INRIA.";

    private Direction(String aName) {
	_name = aName;
    }
  
    public static Direction CENTER = new Direction("Center");
    public static Direction NORTH = new Direction("North");
    public static Direction SOUTH = new Direction("South");
    public static Direction EAST_WEST = new Direction("EastOrwest");
  
    public final String toString() {
	return _name;
    }
  
    private String _name;
  
}
