//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.resource;

/**
 * [PENDING: update the comments] FontMetricInterface;
 * @level advanced
 */

public interface FontMetricInterface {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/resource/FontMetricInterface.java,v $ $revision$ $Date: 1998/11/02 15:55:38 $ Copyright 1998 INRIA.";

    public int getAscent();
    public int getDescent();
    public int bytesWidth(byte[] aByteArray);
    public int stringWidth(String aString);
    public int getHeight();
    public FontInterface getFont();
    public boolean equals(Object anObject);
  
}
