//*****************************************************************************
//   Copyright (c) 1998 INRIA.
//   http://www.inria.fr/croap/aioli/modules/figue/web/credits.html#COPYRIGHT
//*****************************************************************************

package figue.selection;

import figue.box.GlyphInterface;
import figue.path.SelectionPathInterface;
import figue.geometry.Transformer;
import figue.internal.ContextInterface;
import figue.internal.ContextMementoInterface;

/**
 * [PENDING: update the comments] InactiveHighlighter.
 */

public final class InactiveHighlighter implements HighlighterInterface {

    /**
     * For code identification with unix what command.
     * @level internal
     */
    public final static String VERSION_ID
	= "@(#) $Source: /net/croap/CVSROOT/figue/java/selection/InactiveHighlighter.java,v $ $revision$ $Date: 1998/11/02 15:55:45 $ Copyright 1998 INRIA.";

    private InactiveHighlighter() {
	super();
    }

    public final ContextMementoInterface draw2D(GlyphInterface aGlyph,
						ContextInterface aContext,
						Transformer aTransformer,
						SelectionPathInterface aSelectionPath) {
	return null;
    }
    
    public final ContextMementoInterface draw2DClean(GlyphInterface aGlyph,
						     ContextInterface aContext,
						     Transformer aTransformer,
						     SelectionPathInterface aSelectionPath) {
	return null;
    }

    public final static InactiveHighlighter INSTANCE = new InactiveHighlighter();
    
}
